# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.626   -> 1.627  
#	drivers/usb/misc/tiglusb.c	1.4     -> 1.5    
#	drivers/usb/misc/emi26.c	1.3     -> 1.4    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/07/07	bhards@bigpond.net.au	1.627
# [PATCH] USB: printk janitorial fixes
# 
# Part 2, printk fixups for a the tiglusb and emi26 drivers.
# --------------------------------------------
#
diff -Nru a/drivers/usb/misc/emi26.c b/drivers/usb/misc/emi26.c
--- a/drivers/usb/misc/emi26.c	Sun Jul  7 12:35:58 2002
+++ b/drivers/usb/misc/emi26.c	Sun Jul  7 12:35:58 2002
@@ -54,7 +54,7 @@
 	unsigned char *buffer =  kmalloc (length, GFP_KERNEL);
 
 	if (!buffer) {
-		printk(KERN_ERR "emi26: kmalloc(%d) failed.", length);
+		err("emi26: kmalloc(%d) failed.", length);
 		return -ENOMEM;
 	}
 	memcpy (buffer, data, length);
@@ -69,11 +69,11 @@
 static int emi26_set_reset (struct usb_device *dev, unsigned char reset_bit)
 {
 	int response;
-	printk(KERN_INFO "%s - %d", __FUNCTION__, reset_bit);
+	info("%s - %d", __FUNCTION__, reset_bit);
 	/* printk(KERN_DEBUG "%s - %d", __FUNCTION__, reset_bit); */
 	response = emi26_writememory (dev, CPUCS_REG, &reset_bit, 1, 0xa0);
 	if (response < 0) {
-		printk(KERN_ERR "emi26: set_reset (%d) failed", reset_bit);
+		err("emi26: set_reset (%d) failed", reset_bit);
 	}
 	return response;
 }
@@ -89,7 +89,7 @@
 	/* Assert reset (stop the CPU in the EMI) */
 	err = emi26_set_reset(dev,1);
 	if (err < 0) {
-		printk(KERN_ERR "%s - error loading firmware: error = %d", __FUNCTION__, err);
+		err( "%s - error loading firmware: error = %d", __FUNCTION__, err);
 		return err;
 	}
 
@@ -97,7 +97,7 @@
 	for (i=0; g_Loader[i].type == 0; i++) {
 		err = emi26_writememory(dev, g_Loader[i].address, g_Loader[i].data, g_Loader[i].length, ANCHOR_LOAD_INTERNAL);
 		if (err < 0) {
-			printk(KERN_ERR "%s - error loading firmware: error = %d", __FUNCTION__, err);
+			err("%s - error loading firmware: error = %d", __FUNCTION__, err);
 			return err;
 		}
 	}
@@ -120,7 +120,7 @@
 		}
 		err = emi26_writememory(dev, addr, buf, i, ANCHOR_LOAD_FPGA);
 		if (err < 0) {
-			printk(KERN_ERR "%s - error loading firmware: error = %d", __FUNCTION__, err);
+			err("%s - error loading firmware: error = %d", __FUNCTION__, err);
 			return err;
 		}
 	} while (i > 0);
@@ -128,7 +128,7 @@
 	/* Assert reset (stop the CPU in the EMI) */
 	err = emi26_set_reset(dev,1);
 	if (err < 0) {
-		printk(KERN_ERR "%s - error loading firmware: error = %d", __FUNCTION__, err);
+		err("%s - error loading firmware: error = %d", __FUNCTION__, err);
 		return err;
 	}
 
@@ -136,7 +136,7 @@
 	for (i=0; g_Loader[i].type == 0; i++) {
 		err = emi26_writememory(dev, g_Loader[i].address, g_Loader[i].data, g_Loader[i].length, ANCHOR_LOAD_INTERNAL);
 		if (err < 0) {
-			printk(KERN_ERR "%s - error loading firmware: error = %d", __FUNCTION__, err);
+			err("%s - error loading firmware: error = %d", __FUNCTION__, err);
 			return err;
 		}
 	}
@@ -144,7 +144,7 @@
 	/* De-assert reset (let the CPU run) */
 	err = emi26_set_reset(dev,0);
 	if (err < 0) {
-		printk(KERN_ERR "%s - error loading firmware: error = %d", __FUNCTION__, err);
+		err("%s - error loading firmware: error = %d", __FUNCTION__, err);
 		return err;
 	}
 
@@ -153,7 +153,7 @@
 		if (!INTERNAL_RAM(g_Firmware[i].address)) {
 			err = emi26_writememory(dev, g_Firmware[i].address, g_Firmware[i].data, g_Firmware[i].length, ANCHOR_LOAD_EXTERNAL);
 			if (err < 0) {
-				printk(KERN_ERR "%s - error loading firmware: error = %d", __FUNCTION__, err);
+				err("%s - error loading firmware: error = %d", __FUNCTION__, err);
 				return err;
 			}
 		}
@@ -162,7 +162,7 @@
 	/* Assert reset (stop the CPU in the EMI) */
 	err = emi26_set_reset(dev,1);
 	if (err < 0) {
-		printk(KERN_ERR "%s - error loading firmware: error = %d", __FUNCTION__, err);
+		err("%s - error loading firmware: error = %d", __FUNCTION__, err);
 		return err;
 	}
 
@@ -170,7 +170,7 @@
 		if (INTERNAL_RAM(g_Firmware[i].address)) {
 			err = emi26_writememory(dev, g_Firmware[i].address, g_Firmware[i].data, g_Firmware[i].length, ANCHOR_LOAD_INTERNAL);
 			if (err < 0) {
-				printk(KERN_ERR "%s - error loading firmware: error = %d", __FUNCTION__, err);
+				err("%s - error loading firmware: error = %d", __FUNCTION__, err);
 				return err;
 			}
 		}
@@ -179,7 +179,7 @@
 	/* De-assert reset (let the CPU run) */
 	err = emi26_set_reset(dev,0);
 	if (err < 0) {
-		printk(KERN_ERR "%s - error loading firmware: error = %d", __FUNCTION__, err);
+		err("%s - error loading firmware: error = %d", __FUNCTION__, err);
 		return err;
 	}
 
@@ -197,7 +197,7 @@
 
 static void * emi26_probe(struct usb_device *dev, unsigned int if_num, const struct usb_device_id *id)
 {
-	printk(KERN_INFO "%s start", __FUNCTION__); 
+	info("%s start", __FUNCTION__); 
 	
 	if((dev->descriptor.idVendor == EMI26_VENDOR_ID) && (dev->descriptor.idProduct == EMI26_PRODUCT_ID)) {
 		emi26_load_firmware(dev);
diff -Nru a/drivers/usb/misc/tiglusb.c b/drivers/usb/misc/tiglusb.c
--- a/drivers/usb/misc/tiglusb.c	Sun Jul  7 12:35:58 2002
+++ b/drivers/usb/misc/tiglusb.c	Sun Jul  7 12:35:58 2002
@@ -60,7 +60,7 @@
 static int clear_device (struct usb_device *dev)
 {
 	if (usb_set_configuration (dev, dev->config[0].bConfigurationValue) < 0) {
-		printk ("tiglusb: clear_device failed\n");
+		err ("tiglusb: clear_device failed");
 		return -1;
 	}
 
@@ -74,13 +74,13 @@
 
 	pipe = usb_sndbulkpipe (dev, 1);
 	if (usb_clear_halt (dev, usb_pipeendpoint (pipe))) {
-		printk ("tiglusb: clear_pipe (r), request failed\n");
+		err("tiglusb: clear_pipe (r), request failed");
 		return -1;
 	}
 
 	pipe = usb_sndbulkpipe (dev, 2);
 	if (usb_clear_halt (dev, usb_pipeendpoint (pipe))) {
-		printk ("tiglusb: clear_pipe (w), request failed\n");
+		err ("tiglusb: clear_pipe (w), request failed");
 		return -1;
 	}
 
@@ -171,7 +171,7 @@
 	if (result == -ETIMEDOUT) {	/* NAK */
 		ret = result;
 		if (!bytes_read) {
-			printk ("quirk !\n");
+			warn ("quirk !");
 		}
 		warn ("tiglusb_read, NAK received.");
 		goto out;
@@ -233,7 +233,7 @@
 	} else if (result == -EPIPE) {	/* STALL -- shouldn't happen */
 		warn ("CLEAR_FEATURE request to remove STALL condition.");
 		if (usb_clear_halt (s->dev, usb_pipeendpoint (pipe)))
-			warn ("send_packet, request failed\n");
+			warn ("send_packet, request failed");
 		//clear_device(s->dev);
 		ret = result;
 		goto out;
@@ -273,12 +273,12 @@
 		timeout = arg;	// timeout value in tenth of seconds
 		break;
 	case IOCTL_TIUSB_RESET_DEVICE:
-		printk (KERN_DEBUG "IOCTL_TIGLUSB_RESET_DEVICE\n");
+		dbg ("IOCTL_TIGLUSB_RESET_DEVICE");
 		if (clear_device (s->dev))
 			ret = -EIO;
 		break;
 	case IOCTL_TIUSB_RESET_PIPES:
-		printk (KERN_DEBUG "IOCTL_TIGLUSB_RESET_PIPES\n");
+		dbg ("IOCTL_TIGLUSB_RESET_PIPES");
 		if (clear_pipes (s->dev))
 			ret = -EIO;
 		break;
@@ -326,8 +326,8 @@
 	ptiglusb_t s;
 	char name[8];
 
-	printk ("tiglusb: probing vendor id 0x%x, device id 0x%x ifnum:%d\n",
-		dev->descriptor.idVendor, dev->descriptor.idProduct, ifnum);
+	dbg ("tiglusb: probing vendor id 0x%x, device id 0x%x ifnum:%d",
+	     dev->descriptor.idVendor, dev->descriptor.idProduct, ifnum);
 
 	/* 
 	 * We don't handle multiple configurations. As of version 0x0103 of 
@@ -341,7 +341,7 @@
 		return NULL;
 
 	if (usb_set_configuration (dev, dev->config[0].bConfigurationValue) < 0) {
-		printk ("tiglusb_probe: set_configuration failed\n");
+		err ("tiglusb_probe: set_configuration failed");
 		return NULL;
 	}
 
@@ -358,7 +358,7 @@
 	dbg ("bound to interface: %d", ifnum);
 
 	sprintf (name, "%d", s->minor);
-	printk ("tiglusb: registering to devfs : major = %d, minor = %d, node = %s\n", TIUSB_MAJOR,
+	info ("tiglusb: registering to devfs : major = %d, minor = %d, node = %s", TIUSB_MAJOR,
 		(TIUSB_MINOR + s->minor), name);
 	s->devfs =
 	    devfs_register (devfs_handle, name, DEVFS_FL_DEFAULT, TIUSB_MAJOR,
@@ -366,7 +366,7 @@
 			    NULL);
 
 	/* Display firmware version */
-	printk ("tiglusb: link cable version %i.%02x\n",
+	info ("tiglusb: link cable version %i.%02x",
 		dev->descriptor.bcdDevice >> 8, dev->descriptor.bcdDevice & 0xff);
 
 	return s;
@@ -377,7 +377,7 @@
 	ptiglusb_t s = (ptiglusb_t) drv_context;
 
 	if (!s || !s->dev)
-		printk ("bogus disconnect");
+		warn ("bogus disconnect");
 
 	s->remove_pending = 1;
 	wake_up (&s->wait);
@@ -396,7 +396,7 @@
 	/* unregister device */
 	devfs_unregister (s->devfs);
 	s->devfs = NULL;
-	printk ("tiglusb: device disconnected\n");
+	info ("tiglusb: device disconnected");
 }
 
 static struct usb_device_id tiglusb_ids[] = {
@@ -452,7 +452,7 @@
 
 	/* register device */
 	if (devfs_register_chrdev (TIUSB_MAJOR, "tiglusb", &tiglusb_fops)) {
-		printk ("tiglusb: unable to get major %d\n", TIUSB_MAJOR);
+		err ("tiglusb: unable to get major %d", TIUSB_MAJOR);
 		return -EIO;
 	}
 
